#!/usr/bin/env ruby
require("gsl")

puts("\nGSL::Vector")
v = Vector.new(1, 2, 3, 4, 5, 6, 7, 8, 9)
p v

puts("\nGSL::Vector ---> NArray")
vna = v.to_na
p vna

puts("\nNArray ---> GSL::Vector")
v2 = Vector.to_gv(vna)
p v2

puts("\nGSL::Matrix")
m = Matrix.new([1, 2, 3, 4, 5, 6, 7, 8, 9], 3, 3)
p m

puts("\nGSL::Matrix ---> NArray")
mna = m.to_na
p mna

puts("\nNArray ---> GSL::Matrix")
m2 = Matrix.to_gm(mna)
p m2


